/*
 * Copyright (c) 2004-2005 by John Schmerge.
 * All rights reserved.
 *
 * cronparse.h
 *
 * $Id: cronparse.h,v 1.6 2005/04/24 02:32:45 john Exp $
 */

#ifndef CRONPARSE_H
#define CRONPARSE_H 1

#define MINUTE_MIN  0
#define MINUTE_MAX  59
#define HOUR_MIN 0
#define HOUR_MAX 23
#define DOW_MIN 0
#define DOW_MAX 7
#define DOM_MIN 1
#define DOM_MAX 31
#define MONTH_MIN 1
#define MONTH_MAX 12

/* ********************************************************************
 */
enum ParseStatus
{
	ParseOk = 0,
	ParseInvalidNumber,
	ParseInvalidRange,
	ParseInvalidStep,
	ParseStepNoEffect,
	ParseEmptyCommand,
	ParseBadOptionLine,
	ParseBadKeyword,
	ParseBadValue,
};

/* ********************************************************************
 */
int parseTab(const char * fname, struct Crontab * tab);

#endif /* CRONPARSE_H */

/* ********************************************************************
 * $Log: cronparse.h,v $
 * Revision 1.6  2005/04/24 02:32:45  john
 * Added to enumeration list of parse errors
 *
 * Revision 1.5  2005/03/27 01:19:38  john
 * updated copyright
 *
 * Revision 1.4  2005/03/26 01:42:31  john
 * Merge from branch micron_autoconf
 *
 * Revision 1.3.2.1  2005/03/25 02:27:03  john
 * #included config.h and fixed up header code
 *
 * Revision 1.3  2004/02/14 02:46:28  john
 * Clean up of the parse routine return codes
 *
 * Revision 1.2  2003/01/22 07:44:44  john
 * removed typedefs in favor of explicit declarations
 *
 * Revision 1.1.1.1  2002/10/06 06:47:18  john
 * initial import of sources
 *
 */
